%define module_name Gzip-Libdeflate
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Libdeflate compression library
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BK/BKB/%{module_name}-%{version}.tar.gz

%description
This module provides an interface to libdeflate. Libdeflate is a
newly-written compression library which offers the same `deflate'
form of compression as zlib, as used in gzip, libpng and many similar
utilities. This distribution includes libdeflate within itself, so it
is not necessary to have that on your system.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.10-alt1
- updated by package builder

* Mon Apr 08 2024 Igor Vlasenko <viy@altlinux.org> 0.08-alt1
- updated by package builder

* Tue Mar 26 2024 Igor Vlasenko <viy@altlinux.org> 0.07-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt2
- rebuild with perl 5.38

* Fri Sep 22 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- updated by package builder

* Fri May 12 2023 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Fri Oct 14 2022 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.03-alt2
- rebuild with perl 5.34.0

* Thu Feb 25 2021 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- updated by package builder

* Mon Feb 22 2021 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

